Skip to content

End-user Enrollments

The End-user Enrollments API provides operations for end users to manage their own authenticator enrollments.

Use the operations by entering a URL with the required values in your browser. For example, enter https://{yourOktaDomain}/idp/bootstrap/enroll-authenticator/{authenticatorId}?redirect_uri=https://example.com with the domain of your org and the authenticator ID you want to enroll.

Enroll an authenticator

Request

Identity Engine

Enrolls an authenticator.

You're redirected to the authenticator enrollment page. The authenticators that you're allowed to enroll are determined by your org's authenticator enrollment policies.

After enrolling an authenticator, you're redirected to the redirect_uri. If a redirect_uri isn't set, then you're redirected to your default app. The default app can vary depending on your org. See Set up a default app redirect.

Note: If you use this API and you don't have an active session, you're prompted to sign in to your org before using it.

Path
authenticatorIdstringrequired

The id of the authenticator. Use the List all authenticators endpoint to find the authenticator ID.

Example:authw3hjmw4tHKIBU6d7
Query
redirect_uristring

Specify a redirect URI where the end user is redirected after a successful operation. If no redirect URI is specified, the end user is redirected to the default app. You must add the redirect URI as a trusted origin.

Add a redirect_uri to your URL by using a ? operator.

Example:redirect_uri=https://example.com
GET
/idp/bootstrap/enroll-authenticator/{authenticatorId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/idp/bootstrap/enroll-authenticator/authw3hjmw4tHKIBU6d7?redirect_uri=https%3A%2F%2Fexample.com'

Responses

Enroll an authenticator

Bodytext/html
string

Redirected to the authenticator enrollment page

Response
string